> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wardin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Endpoint



## OpenAPI

````yaml PATCH /v1/webhook-endpoints/{id}
openapi: 3.0.0
info:
  title: Wardin API
  description: AI governance & observability platform — external REST API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/webhook-endpoints/{id}:
    patch:
      tags:
        - webhook-endpoints
      summary: Update an outbound webhook endpoint
      operationId: AlertingController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWebhookEndpointDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdateWebhookEndpointDto:
      type: object
      properties:
        name:
          type: string
          example: 'Slack #alerts'
          description: Human-readable name for this endpoint
        url:
          type: string
          example: https://hooks.slack.com/services/T00/B00/xxx
          description: Destination URL for webhook delivery
        type:
          type: string
          enum:
            - slack
            - generic
          description: 'Payload format: slack uses the Slack incoming-webhook shape'
        events:
          example:
            - budget.threshold_reached
            - policy.violation
          description: Event types this endpoint subscribes to
          type: array
          items:
            type: string
        enabled:
          type: boolean
          example: true
          description: Enable or disable delivery to this endpoint
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````